LinHES - Feature # 896: secure lighttpd

Status: Closed Priority: Normal

Author: jams Category: Packages: Core
Created: 01/14/2013 Assignee: jams

Updated: 01/14/2013 Due date:

Description: Add SSL by default for lighttpd

Apply password to the entire website and not just mythweb.

Associated revisions

01/14/2013 12:42 pm - jams
lighttpd:: enforce password across the entire site with the following exceptions:

1) access from localhost/127.0.0.1

2) port 1337
3) the file failed_func_hosts

refs #896

01/14/2013 03:45 pm - jams
runit-scripts: lighttpd, on startup create the ssl cert if needed

refs #896

01/14/2013 03:45 pm - jams
lighttpd: SSL now defaults to on. The startup script will create the ssl cert if needed.

refs #896

History

01/14/2013 03:50 pm - jams
- Status changed from New to Closed

- Assignee changed from cecil to jams

some paths could not be secured because they are used by the system.

Any request coming from 127.0.01 and localhost are allowed through with no password

Additionally any request on

04/30/2025

port 1337 is allowed
